# VIPSWeb
This is the code for the public web page for VIPS. It should be adaptable 
enough to suit many organizations.

The public web page acts as a client of the [VIPSLogic system](https://gitlab.nibio.no/VIPS/VIPSLogic), all information displayed to the users in VIPSWeb is fetched via web service endpoints in VIPSLogic.

![How VIPSLogic fits into the whole VIPS architecture](./docs/illustrations/VIPS_whole_architecture.png "All VIPS system parts")

Each organization within the VIPSLogic system will typically have their own VIPSWeb installation. Or the organization can choose to pull the data from VIPSLogic and display integrated in their own web sites.

VIPSWeb is a part of the [VIPS platform for automatic pest prediction](https://gitlab.nibio.no/VIPS/documentation)

## Documentation

* [Installation and configuration](./docs/install.md)
* [Display details for new model](./docs/new_model_config.md)
* [Translation](./docs/translation.md)